Subject: [PATCH] Allow pcomplete of git add to include untracked files.
From: Peter Seibel <[email-masked]>
To: [email-masked]
Date: Fri, 3 Jan 2025 16:00:27 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I was going a bit crazy trying to figure out why tab completion in *shell*
wasn't working for git add when I was trying to add a new file to my repo.
Turns out pcomplete was only completing modified tracked files.This patch
changes it so after git add it also completes untracked non-ignored files.

I believe I long ago signed a Copyright assignment to the Emacs project but
I'm happy to do it again if that's still required. Cheers!

-- 
Peter Seibel
http://www.gigamonkeys.com/